Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename babel-runtime
%global enable_tests 1

Name:		nodejs-babel-runtime
Version:	6.23.0
Release:	alt1_5
Summary:	The babel selfContained runtime

License:	MIT
URL:		https://github.com/babel/babel/tree/master/packages/babel-runtime
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	%{packagename}-scripts-%{version}.tar.bz2
Source10:	dl-babel-files.sh
# license file
Source11:	https://raw.githubusercontent.com/babel/babel/v%{version}/LICENSE


BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel
%if 0%{?enable_tests}
BuildRequires:	npm(core-js)
%endif
Source44: import.info

%description
The babel selfContained runtime


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
# copy the license file
cp -p %{SOURCE11} .

# I know you'll be temped to remove the "core-js" directory, thinking that it's
# a bundled copy of the npm(core-js) package.  It's not. Instead, it's a bunch
# of files that refer to the corresponding files from the npm(core-js) package.

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js helpers/ regenerator/ core-js/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
echo -e "\e[102m -=#=- There are no tests -=#=- \e[0m"
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 6.23.0-alt1_5
- new version

